Subject: Re: bug#66664: On modified lines containing🌐︎ and Unicode VS15 in text mode emacs does not show the real content of the lines

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Oct 2023 16:53:25 +0300

> Cc: [email-masked]
> Date: Sat, 21 Oct 2023 16:36:38 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > and prints “Auto-Composition mode disabled in current buffer”.  After the change the globe is coloured in the terminal and there is an underscore after the globe.  I again press several times the right arrow to go over the letter c and then press x. Emacs again deletes (actually hides) the letter c and shows on its place the letter x.
> 
> Then I cannot reproduce this, nether with nor without
> auto-composition-mode.

Scratch that, I was mis-reading your description.  I can reproduce,
and I know the reason: Emacs considers the U+1F310 character to take 2
columns on display, whereas your terminal thinks it takes only one
column.  That's why you see these problems.